using SpellBoundAR.AssetManagement;
using UnityEngine;
using UnityEngine.XR.ARFoundation;

namespace SpellBoundAR.ARImageTracking
{
    [CreateAssetMenu(menuName = "Scriptable Objects/AR/Image Tracking/Database")]
    public class Database : SingletonDatabase<Database>
    {
        [SerializeField] private DatabaseTable<ImageTargetData> imageTargets = new ();
        public DatabaseTable<ImageTargetData> ImageTargets => imageTargets;
        
        public ImageTargetData GetTargetData(ARTrackedImage image) 
        {
            return imageTargets.list.Find(item => item.ReferenceImage.name == image.referenceImage.name);
        }
    }
}
